<script setup lang="ts">
interface TitleData {
  title: String
  description: String
}

interface DetailData {
  label: String
  description: String
}

defineProps<{
  titleData: TitleData
  contentData: Array<DetailData>
}>()
</script>

<template>
  <div class="card">
    <div class="card-body">
      <center class="m-t-30">
        <h4 class="card-title m-t-10">{{ titleData.title }}</h4>
        <h6 class="card-subtitle">{{ titleData.description }}</h6>
        <div class="row text-center justify-content-md-center">
          <div class="col-4">
            <a href="javascript:void(0)" class="link"
              ><i class="icon-people"></i>
              <font class="font-medium">254</font></a
            >
          </div>
          <div class="col-4">
            <a href="javascript:void(0)" class="link"
              ><i class="icon-picture"></i>
              <font class="font-medium">54</font></a
            >
          </div>
        </div>
      </center>
    </div>
    <div>
      <hr />
    </div>
    <div class="card-body">
      <div v-for="item in contentData">
        <small class="text-muted">{{ item.description }} </small>
        <h6>{{ item.label }}</h6>
      </div>
      <small class="text-muted p-t-30 db">Social Profile</small>
      <br />
      <button class="btn btn-circle btn-secondary">
        <i class="fab fa-facebook-f"></i>
      </button>
      <button class="btn btn-circle btn-secondary mx-2">
        <i class="fab fa-twitter"></i>
      </button>
      <button class="btn btn-circle btn-secondary">
        <i class="fab fa-youtube"></i>
      </button>
    </div>
  </div>
</template>
